function [line_x, line_y] = get_fit_line(x, y)
% Fits a Poisson model to a given data and returns interpolated data.

% Fit Poisson GLM 
b = glmfit(x, y, 'poisson');

% Generate the predicted line along the given X access
line_x = min(x):0.1:max(x);
line_y = glmval(b, line_x,'log');

